% NAFXestPlot.m
% m-file to plot Estimated NAFX Improvement vs. Pre-Op NAFX
% using the function nafxest.m 
% Written by LF Dell'Osso on 4/9/09
% Last modified: 4/9/09 by LF Dell'Osso

figure
fplot('nafxest(x,1)',[0 .6],'color','g')
hold on
fplot('nafxest(x,1)',[.6 .65],'color','y')
fplot('nafxest(x,1)',[.65 1],'color','r')
axis([0 1 0 300])
xlabel('Pre-Tenotomy NAFX')
ylabel('NAFX Increase (%)')
title('Percent Increase in Peak NAFX')