% NAFXestPlot2.m
% m-file to plot Estimated Post-Op NAFX vs. Pre-Op NAFX
% using the function nafxest.m 
% Written by LF Dell'Osso on 4/10/09
% Last modified: 4/10/09 by LF Dell'Osso

figure
fplot('nafxest(x,2)',[0 .6],'color','g')
hold on
fplot('nafxest(x,2)',[.6 .65],'color','y')
fplot('nafxest(x,2)',[.65 1],'color','r')
axis([0 1 0 1])
xlabel('Pre-Tenotomy NAFX')
ylabel('Post-Tenotomy NAFX')
title('Post-Tenotomy Peak NAFX')