% is_sactyp.m: is the input word a saccade type?

% Written by:  Jonathan Jacobs
%              July 1997  (last mod:  07/04/97)

function [flag, sacType] = is_sactype(in)

mod_in = lower(deblank(in));

if findstr(mod_in, 'braking')
   flag = 1;
   sacType = 'B';
   return
 elseif findstr(mod_in, 'foveating')
   flag = 1;
   sacType = 'F';
   return
 else
   flag = 0;
   sacType = 'X';  % unknown
   return
end
