% toggle.m: called from 'pickdata' to toggle a column of check boxes
% from on to off (or vice versa) and change the label in the toggle button
% written by:  Jonathan Jacobs
%              March 1996 - May 1996  (last mod: 05/08/96)

function toggle( buttonH, boxH, button_col, num_butt )

state = get( buttonH, 'string' );
if strcmp( lower(state), 'off' )
   for i = 1:num_butt
      if boxH(i, button_col)
         if strcmp( get(boxH(i,button_col), 'Enable'), 'on' )
            set( boxH(i,button_col), 'Value', 0 );
         end
      end
   end
   set( buttonH, 'String', 'On' );
   return
 elseif strcmp( lower(state), 'on' )
   for i = 1:num_butt
      if boxH(i, button_col)
         if strcmp( get(boxH(i,button_col), 'Enable'), 'on' )
            set( boxH(i,button_col), 'Value', 1 );
         end
      end
   end
   set( buttonH, 'String', 'Off' );
   return
end
