% curwidth.m:  Called from zoomtool to change cursor width.
% Written by: Jonathan Jacobs
%             June 2016  (last mod: 06/14/16)

function curwidth( whichCur )

temp  = get(gca, 'UserData');
bigHList = temp{2};

hCur1Box = bigHList{17};
hCur2Box = bigHList{18};

widths = [ 0.5 1.0 1.5 2.0 ];

if strcmp( whichCur, 'curOne' )
   ga = get(hCur1Box,'UserData');
   temp = get(bigHList{43},'Value');
   new_width = widths(temp);
   h = findline(ga,1001);
   set(h,'linewidth', new_width);
   h = findline(ga,1002);
   set(h,'linewidth', new_width);
end

if strcmp( whichCur, 'curTwo' )
   ga = get(hCur1Box,'UserData');
   temp = get(bigHList{44},'Value');
   new_width = widths(temp);
   h = findline(ga,2001);
   set(h,'linewidth', new_width);
   h = findline(ga,2002);
   set(h,'linewidth', new_width);
end