% AKPlot.m
% m-file to plot Surgical Rotation vs. Null-Angle shift
% using the function AKshift.m 
% Written by LF Dell'Osso on 6/27/05
% Last modified: 4/9/09 by LF Dell'Osso

figure
fplot('akshift(2,x,2)',[0 6],'color','r')
hold on
fplot('akshift(2,x,2)',[6 8],'color','y')
fplot('akshift(2,x,2)',[8 30],'color','g')
axis([0 30 0 35])
xlabel('Null Shift (deg)')
ylabel('Total Surgical Rotation [R+R] (mm)')
title('Anderson-Kestenbaum Surgical Function')