% LFDestPlot.m
% m-file to plot Estimated LFD Improvement vs. Pre-Op LFD
% using the function lfdest.m 
% Written by LF Dell'Osso on 4/9/09
% Last modified: 4/9/09 by LF Dell'Osso

figure
fplot('lfdest(x,1)',[0 25],'color','g')
hold on
fplot('lfdest(x,1)',[25 28],'color','y')
fplot('lfdest(x,1)',[28 37.49],'color','r')
axis([0 40 0 300])
xlabel('Pre-Tenotomy LFD (deg)')
ylabel('LFD Increase (%)')
title('Percent Increase in Longest Foveation Domain')