% LFDestPlot2.m
% m-file to plot Estimated Post-Op LFD vs. Pre-Op LFD
% using the function lfdest.m 
% Written by LF Dell'Osso on 4/10/09
% Last modified: 4/10/09 by LF Dell'Osso

figure
fplot('lfdest(x,2)',[0 25],'color','g')
hold on
fplot('lfdest(x,2)',[25 28],'color','y')
fplot('lfdest(x,2)',[28 37.49],'color','r')
axis([0 40 0 40])
xlabel('Pre-Tenotomy LFD (deg)')
ylabel('Post-Tenootomy LFD (deg)')
title('Post-Tenotomy Longest Foveation Domain')