% graptest: a quickie demo of the graphing utilities.

function graptest()

doubleH = figure;

s1H = subplot(2,1,1);
s2H = subplot(2,1,2);

set(s1H, 'Box','on');
set(s2H, 'Box','on');

subplot(2,1,1)
plot(1:250,sin(2*pi*(1:250)/250),'y')
hold on
plot(1:250,cos(2*pi*(1:250)/250),'g')
text(125,.5, 'text1')
title('Title')
ylabel('Y-axis 1')

subplot(2,1,2)
plot(1:250,sin(2*pi*(1:250)/250),'b')
hold on
plot(1:250,cos(2*pi*(1:250)/250),'r')
text(125,.5, 'text2')
ylabel('Y-axis 2')
xlabel('X-axis')

%set(s1H, 'units', 'inches');
%set(s2H, 'units', 'inches');

disp('Try some of the graph modification tools:')
disp('   axisedit, linedit, textedit, posedit')
disp('   dragger, and draw.  Complete help is')
disp('   available in the ''contents.txt'' file')