% killobj.m:   kill the current object.
% Written by:  Jonathan Jacobs
%              March 1997 - April 1999  (last mod: 04/13/99)

function killobj

objH = gco;
if isempty(objH)
   disp('No object selected.')
   return
end

objType = get(objH, 'Type');

v=version;
if v(1) >= '5'
  set(objH,'Selected','on');
end

yn = ' ';
while (lower(yn(1))~='y') & (lower(yn(1))~='n')
   yn = input(['Are you sure you want to remove this ' objType ' (y/n)? '],'s');
end

if yn(1) == 'y'
   delete(objH)
   disp([objType ' object deleted.'])
 else
  if v(1) >= '5'
     set(objH,'Selected','off');
  end     
end
