% pad.m: add blanks to the end of an input string.
% USAGE  out = pad(in, len)
% where in is the input string
%       len is the length of the output string

% Written by:  pretty much everyone in the world
%              at one time or another.
%              July 1997  (last mod:  07/04/97)

function out = pad(in,out_len)

contin_len = length(in);

[r,c] = size(in);

%orient as rows
if c<r
   in=in';
   temp=c; c=r; r=temp;
end

diff = out_len - c;

for i=1:r
   out(i,:) = [in(i,:) NaN*ones(1,diff)];
end
