% zeronans.m:  take an array, swap the NaNs for zeros.
% We preserve the orientation of the original array.

% Written by Jonathan Jacobs
%            October 2003 (last mod:  10/27/03)

function [out, nan_pts] = zeronans(in);

out = in;

nan_pts = find(isnan(in));
out(nan_pts) = 0;
